Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class IndexSummary

    java.lang.Object
      org.apache.cassandra.io.sstable.IndexSummary

    public class IndexSummary

extends java.lang.Object

Two approaches to building an IndexSummary: 1. Call maybeAddEntry with every potential index entry 2. Call shouldAddEntry, [addEntry,] incrementRowid

Constructor Summary
`IndexSummary(long expectedKeys)`

Method Summary
`void` | `addEntry(DecoratedKey<?> key, long indexPosition)`
`void` | `complete()`
`java.util.List<DecoratedKey<?>>` | `getKeys()`
`long` | `getPosition(int index)`
`void` | `incrementRowid()`
`void` | `maybeAddEntry(DecoratedKey<?> decoratedKey, long indexPosition)`
`boolean` | `shouldAddEntry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexSummary

    public IndexSummary(long expectedKeys)

Method Detail

### incrementRowid

    public void incrementRowid()

### shouldAddEntry

    public boolean shouldAddEntry()

### addEntry

    public void addEntry(DecoratedKey<?> key,
                         long indexPosition)

### maybeAddEntry

    public void maybeAddEntry(DecoratedKey<?> decoratedKey,
                              long indexPosition)

### getKeys

    public java.util.List<DecoratedKey<?>> getKeys()

### getPosition

    public long getPosition(int index)

### complete

    public void complete()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation